{ pkgs, ... }:

{
  imports = [
    # Modules
    ../../modules/home/default.nix
  ];

  config = {
    home = {
      username = "deploy";
      homeDirectory = "/home/deploy";
    };

    settings = {
      applications.common.enable = false;
      applications.alacritty.enable = false;
      applications.devenv.enable = false;
      applications.firefox.enable = false;
      applications.git.enable = false;
      applications.helix.enable = true;
      applications.zsh.enable = true;
      applications.ssh.enable = true;
      applications.thunderbird.enable = false;
      applications.yazi.enable = true;
      applications.zellij.enable = true;
      applications.wezterm.enable = false;

      services.nextcloud-sync.enable = false;
      services.podman.enable = true;
      services.sops.enable = true;

      theming.fonts.enable = false;
      theming.stylix.enable = false;
      theming.stylix.wallpaper = "wallpaper-2.png";
      theming.stylix.theme = "da-one-ocean";

      desktop-environments.hyprland.enable = false;

      containers = {
        network.enable = true;

        nginx.enable = false;
        caddy.enable = true;
        kanidm.enable = false;
        forgejo.enable = false;
        immich.enable = false;
        homepage.enable = false;
        uptime-kuma.enable = false;
        pingvin-share.enable = false;
        vaultwarden.enable = false;
        paperless-ngx.enable = false;
        beszel.enable = false;
        storage.enable = false;
        homeassistant.enable = false;
        karakeep.enable = false;
        vikunja.enable = false;
        stalwart.enable = false;
        linkding.enable = false;
        static.enable = true;
      };
    };

    home.packages = with pkgs; [
      unstable.helix
      lazygit
    ];

    # Enable home-manager
    programs.home-manager.enable = true;

    home.stateVersion = "24.05";
  };
}
